SNAPPER(4) | Kernel Interfaces Manual (MacPPC) | SNAPPER(4)

# NAME

snapper — Apple audio device driver

# SYNOPSIS

snapper* at obio?
audio* at snapper?

# DESCRIPTION

The snapper driver provides support for audio hardware using the TAS3004 chipset found in many Apple iBooks, PowerBooks, and PowerMacs. Other i2s compatible controllers found in Mac Minis, which lack a TAS3004, are also supported.

Hardware features:

- Supports data word lengths of 16 to 24 bits
- Processes sample rates from 32kHz to 48kHz
- Provides digital equalization and compression capabilities

# SEE ALSO

audio(4), awacs(4)

# HISTORY

The snapper device driver appeared in NetBSD 2.0.

# AUTHORS

The snapper driver was written by Tsubai Masanari with modifications by Jared D. McNeill.

# BUGS

This driver needs more testing.

April 3, 2007 | NetBSD 6.0